Bug 468063 - rtsp demux failure [NEEDINFO]
rtsp demux failure
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xine-lib (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-22 12:19 EDT by David Woodhouse
Modified: 2009-07-14 12:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:56:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: needinfo? (dwmw2)


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2008-10-22 12:19:24 EDT
I'm trying to listen to a BBC radio stream (http://www.bbc.co.uk/iplayer/aod/playlists/2g/yy/d0/0b/RadioBridge_1445_bbc_radio_fourfm.ram). It keeps dying a minute or so into the stream, though.

Xine says 'demux_real: failed to read data packet header' and quits. Looks like it's getting something it doesn't expect ("OPTIONS * RTSP/1....")

27456 recvfrom(5, "\0\1A\25", 4, 0, NULL, NULL) = 4
27456 select(6, [5], NULL, NULL, {0, 50000}) = 1 (in [5], left {0, 50000})
27456 recvfrom(5, "\0\0", 2, 0, NULL, NULL) = 2
27456 select(6, [5], NULL, NULL, {0, 50000}) = 1 (in [5], left {0, 50000})
27456 recvfrom(5, "\33\227^\373", 4, 0, NULL, NULL) = 4
27456 select(6, [5], NULL, NULL, {0, 50000}) = 1 (in [5], left {0, 50000})
27456 recvfrom(5, "M\323\266\352\376\327rgp\366\353\\q\343A\347\337n]%6\10[L\3768L\244v\21
1\371\r"..., 740, 0, NULL, NULL) = 740
27456 select(6, [5], NULL, NULL, {0, 50000}) = 1 (in [5], left {0, 50000})
27456 recvfrom(5, "OPTI", 4, 0, NULL, NULL) = 4
27456 select(6, [5], NULL, NULL, {0, 50000}) = 1 (in [5], left {0, 50000})
27456 recvfrom(5, "ONS ", 4, 0, NULL, NULL) = 4
27456 select(6, [5], NULL, NULL, {0, 50000}) = 1 (in [5], left {0, 50000})
27456 recvfrom(5, "* RT", 4, 0, NULL, NULL) = 4
27456 select(6, [5], NULL, NULL, {0, 50000}) = 1 (in [5], left {0, 50000})
27456 recvfrom(5, "SP/1", 4, 0, NULL, NULL) = 4
27456 write(1, "demux_real: failed to read data "..., 46) = 46
Comment 1 Rex Dieter 2008-10-22 12:35:21 EDT
seems to run fine here in kaffeine.  Which xine-lib client are you using (xine)?
Comment 2 Rex Dieter 2008-10-22 12:40:16 EDT
Heh, spoke too soon... worked on F8/i386, fails on f10/x86_64 about 1:30 in...
Comment 3 David Woodhouse 2008-10-22 12:41:01 EDT
Yeah, xine. Which seems not to work when directed at the .ram file directly (local or by HTTP); I have to give it the RTSP url directly (xine `cat Ra*.ram`).

How long did you leave it running for? It's dying about 80 seconds in for me.
Comment 4 Rex Dieter 2008-10-22 12:42:09 EDT
ok, fails on f8/i386 too, it just took 1:30-2 minutes before it did.
Comment 5 David Woodhouse 2008-10-22 12:56:22 EDT
Works in mplayer, apparently (and someone has thus given me an MP3 of the thing I was trying to listen to).
Comment 6 Bug Zapper 2009-06-09 23:03:00 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Kevin Kofler 2009-06-10 01:46:15 EDT
Is this still reproducible on F10 or F11?
Comment 8 Bug Zapper 2009-07-14 12:56:59 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.